apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: miniflux
  name: miniflux
spec:
  replicas: 1
  selector:
    matchLabels:
      app: miniflux
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: miniflux
    spec:
      containers:
        - image: docker.io/miniflux/miniflux:2.0.50
          name: miniflux
          env:
            - name: BASE_URL
              value: https://miniflux.tbrnt.ch
            - name: METRICS_COLLECTOR
              value: "1"
            - name: METRICS_ALLOWED_NETWORKS
              value: "0.0.0.0/0"
            - name: RUN_MIGRATIONS
              value: "1"
          envFrom:
            - secretRef:
                name: miniflux
          ports:
            - containerPort: 8080
          livenessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 15
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: /
              port: 8080
            initialDelaySeconds: 15
            periodSeconds: 10
